/*
 * Class WEL_SCROLLER
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1348 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1348 [] = {0xFF01,1551,1347,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1348 [] = {0xFF01,1347,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1348 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1348 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1348 [] = {0xFF01,1347,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1348 [] = {0xFF01,1347,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1348 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1348 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1348 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1348 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1348 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1348 [] = {0xFF01,1347,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1348 [] = {0xFF01,1389,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1348 [] = {0xFF01,757,0xFFFF};


static const struct desc_info desc_1348[] = {
	{EIF_GENERIC(NULL), 30033, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1348), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1348), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1348), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1348), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1348), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1348), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1348), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1348), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1348), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1348), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1348), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1348), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0A87 /*1347*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1348), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10331, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10332, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10314, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10315, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10316, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10317, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10318, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10319, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10320, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10321, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10322, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10323, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10324, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10325, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10326, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10327, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10328, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10329, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10330, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4660, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4661, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4662, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4663, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4664, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4665, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4666, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4667, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 4668, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 10333, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 10334, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10335, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10336, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10337, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10338, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10339, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10340, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30034, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30035, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1348), 30036, 0},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30037, 8},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30038, 12},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30039, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30040, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30041, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30042, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30043, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30044, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30045, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 30046, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 30047, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 30048, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30049, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30050, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30051, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30052, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30053, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30054, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30055, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30056, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30057, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30058, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30059, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30060, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 30061, 16},
	{EIF_GENERIC(egt_14_1348), 30062, 4},
	{EIF_GENERIC(NULL), 30063, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 30064, 0xFFFFFFFF},
};
void Init1348(void)
{
	IDSC(desc_1348, 0, 1347);
	IDSC(desc_1348 + 1, 1, 1347);
	IDSC(desc_1348 + 32, 997, 1347);
	IDSC(desc_1348 + 51, 1159, 1347);
	IDSC(desc_1348 + 60, 1627, 1347);
	IDSC(desc_1348 + 68, 1022, 1347);
}


#ifdef __cplusplus
}
#endif
